import { ReturnPromise } from '@oinone/kunlun-shared';
import { OioTreeNode } from '@oinone/kunlun-vue-ui-common';
import { CardCascaderItemData, TreeNodeMetadata } from '../../typing';
import { AbstractTreeWidget } from '../tree';
export declare abstract class AbstractCardCascaderElementWidget<V extends CardCascaderItemData = CardCascaderItemData> extends AbstractTreeWidget<V> {
    protected rootNodes: OioTreeNode<V>[] | undefined;
    protected showContent: boolean;
    initialize(props: any): this;
    protected isLeafPredict(node: TreeNodeMetadata | undefined, useSelfReferences?: boolean): boolean;
    protected onSearch(keywords: string, rootNode?: OioTreeNode<V>): Promise<void>;
    protected onClearSearch(): ReturnPromise<void>;
    protected fetchNodeData(node: OioTreeNode<V>, metadata: TreeNodeMetadata): Promise<void>;
    protected mountedProcess(): Promise<void>;
    protected refreshProcess(): Promise<void>;
    protected resetRootNode(): Promise<void>;
    protected refreshNodes(): Promise<void>;
    protected refreshNodeFetchData(node: OioTreeNode<V>): Promise<{
        node: OioTreeNode<V>;
        isChange: {
            total: boolean;
            totalPageSize: boolean;
        };
        results: {
            label?: string | undefined;
            metadata: TreeNodeMetadata;
            value: import("@oinone/kunlun-engine").ActiveRecord;
            isLeaf: boolean;
        }[];
    }>;
}
